Summary:	LTTng Trace Control
Summary(pl.UTF-8):	Sterowanie śledzeniem LTTng
Name:		lttng-tools
Version:	2.13.15
Release:	1
License:	LGPL v2.1+ (library), GPL v2 (tools)
Group:		Libraries
Source0:	https://lttng.org/files/lttng-tools/%{name}-%{version}.tar.bz2
# Source0-md5:	77b85bdbaa0ae6ba10cbd9df0f066400
Patch0:		%{name}-python.patch
Patch1:		x32.patch
Patch2:		%{name}-swig-crash.patch
Patch3:		%{name}-assert.patch
URL:		https://lttng.org/
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.12
# for builds from git
#BuildRequires:	bison >= 2.4
#BuildRequires:	flex >= 2.5.35
BuildRequires:	kmod-devel
# for tests only
#BuildRequires:	libpfm-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel >= 1:2.7.6
BuildRequires:	lttng-ust-devel >= 2.12
BuildRequires:	popt-devel >= 1.13
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	swig-python >= 2.0.0
BuildRequires:	userspace-rcu-devel >= 0.15
BuildRequires:	xmlto
#BuildRequires:	jdk java-lttng-ust # used for tests only
Requires:	libxml2 >= 1:2.7.6
Requires:	lttng-ust >= 2.12
Requires:	popt >= 1.13
Requires:	userspace-rcu >= 0.15
Requires:	uname(release) >= 2.6.27
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# non-function symbol rcu_reader_memb
%define		skip_post_check_so	liblttng-ctl.so.*

%description
LTTng Trace Control library and utilities.

%description -l pl.UTF-8
Biblioteka i narzędzia do sterowania śledzeniem LTTng.

%package devel
Summary:	Header files for LTTng control library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki sterującej LTTng
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kmod-devel
Requires:	libuuid-devel
Requires:	libxml2-devel >= 1:2.7.6
Requires:	popt-devel >= 1.13
Requires:	userspace-rcu-devel >= 0.15

%description devel
Header files for LTTng control library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki sterującej LTTng.

%package static
Summary:	Static LTTng control library
Summary(pl.UTF-8):	Statyczna biblioteka sterująca LTTng
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LTTng control library.

%description static -l pl.UTF-8
Statyczna biblioteka sterująca LTTng.

%package -n python3-lttng
Summary:	Python 3 binding for LTTng
Summary(pl.UTF-8):	Wiązanie Pythona 3 do LTTng
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Obsoletes:	python-lttng < 2.7.0

%description -n python3-lttng
Python 3 binding for LTTng.

%description -n python3-lttng -l pl.UTF-8
Wiązanie Pythona 3 do LTTng.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# NOTE: DON'T replace /usr/lib* with %{_libdir} in configure options!
%configure \
	PYTHON=%{__python3} \
	PYTHON_CONFIG=/usr/bin/python3-config \
	am_cv_python_pyexecdir=%{py3_sitedir} \
	am_cv_python_pythondir=%{py3_sitescriptdir} \
	--disable-silent-rules \
	--enable-python-bindings \
	--with-babeltrace-bin=/usr/bin/babeltrace \
	--with-babeltrace2-bin=/usr/bin/babeltrace2 \
%ifnarch x32
	--with-consumerd32-bin=/usr/libx32/lttng/libexec/lttng-consumerd \
	--with-consumerd32-libdir=/usr/libx32 \
%endif
%ifnarch alpha ia64 x32
	--with-consumerd32-bin=/usr/lib/lttng/libexec/lttng-consumerd \
	--with-consumerd32-libdir=/usr/lib \
%endif
%ifarch %{ix86} %{x8664} ppc ppc64 s390 s390x sparc sparcv9 sparc64
	--with-consumerd64-bin=/usr/lib64/lttng/libexec/lttng-consumerd \
	--with-consumerd64-libdir=/usr/lib64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# library *.la kept - missing Requires.private

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/_lttng.{la,a}
%py_postclean

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/lttng-tools

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README.adoc doc/{live-reading-{howto,protocol},quickstart,relayd-architecture,snapshot-howto,streaming-howto}.txt
%attr(755,root,root) %{_bindir}/lttng
%attr(755,root,root) %{_bindir}/lttng-crash
%attr(755,root,root) %{_bindir}/lttng-relayd
%attr(755,root,root) %{_bindir}/lttng-sessiond
%attr(755,root,root) %{_libdir}/liblttng-ctl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblttng-ctl.so.0
%dir %{_libdir}/lttng
%dir %{_libdir}/lttng/libexec
%attr(755,root,root) %{_libdir}/lttng/libexec/lttng-consumerd
%{_datadir}/xml/lttng
%{_mandir}/man1/lttng.1*
%{_mandir}/man1/lttng-add-context.1*
%{_mandir}/man1/lttng-add-trigger.1*
%{_mandir}/man1/lttng-clear.1*
%{_mandir}/man1/lttng-crash.1*
%{_mandir}/man1/lttng-create.1*
%{_mandir}/man1/lttng-destroy.1*
%{_mandir}/man1/lttng-disable-channel.1*
%{_mandir}/man1/lttng-disable-event.1*
%{_mandir}/man1/lttng-disable-rotation.1*
%{_mandir}/man1/lttng-enable-channel.1*
%{_mandir}/man1/lttng-enable-event.1*
%{_mandir}/man1/lttng-enable-rotation.1*
%{_mandir}/man1/lttng-help.1*
%{_mandir}/man1/lttng-list.1*
%{_mandir}/man1/lttng-list-triggers.1*
%{_mandir}/man1/lttng-load.1*
%{_mandir}/man1/lttng-metadata.1*
%{_mandir}/man1/lttng-regenerate.1*
%{_mandir}/man1/lttng-remove-trigger.1*
%{_mandir}/man1/lttng-rotate.1*
%{_mandir}/man1/lttng-save.1*
%{_mandir}/man1/lttng-set-session.1*
%{_mandir}/man1/lttng-snapshot.1*
%{_mandir}/man1/lttng-start.1*
%{_mandir}/man1/lttng-status.1*
%{_mandir}/man1/lttng-stop.1*
%{_mandir}/man1/lttng-track.1*
%{_mandir}/man1/lttng-untrack.1*
%{_mandir}/man1/lttng-version.1*
%{_mandir}/man1/lttng-view.1*
%{_mandir}/man7/lttng-concepts.7*
%{_mandir}/man7/lttng-event-rule.7*
%{_mandir}/man8/lttng-relayd.8*
%{_mandir}/man8/lttng-sessiond.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblttng-ctl.so
%{_libdir}/liblttng-ctl.la
%{_includedir}/lttng/action
%{_includedir}/lttng/condition
%{_includedir}/lttng/notification
%{_includedir}/lttng/trigger
%{_includedir}/lttng/channel.h
%{_includedir}/lttng/clear.h
%{_includedir}/lttng/clear-handle.h
%{_includedir}/lttng/constant.h
%{_includedir}/lttng/destruction-handle.h
%{_includedir}/lttng/domain.h
%{_includedir}/lttng/endpoint.h
%{_includedir}/lttng/error-query.h
%{_includedir}/lttng/event.h
%{_includedir}/lttng/event-expr.h
%{_includedir}/lttng/event-field-value.h
%{_includedir}/lttng/event-rule
%{_includedir}/lttng/handle.h
%{_includedir}/lttng/health.h
%{_includedir}/lttng/kernel-probe.h
%{_includedir}/lttng/load.h
%{_includedir}/lttng/location.h
%{_includedir}/lttng/log-level-rule.h
%{_includedir}/lttng/lttng.h
%{_includedir}/lttng/lttng-error.h
%{_includedir}/lttng/rotation.h
%{_includedir}/lttng/save.h
%{_includedir}/lttng/session.h
%{_includedir}/lttng/session-descriptor.h
%{_includedir}/lttng/snapshot.h
%{_includedir}/lttng/tracker.h
%{_includedir}/lttng/userspace-probe.h
%{_pkgconfigdir}/lttng-ctl.pc
%{_mandir}/man3/lttng-health-check.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/liblttng-ctl.a

%files -n python3-lttng
%defattr(644,root,root,755)
%doc doc/python-howto.txt
%attr(755,root,root) %{py3_sitedir}/_lttng.so
%{py3_sitescriptdir}/lttng.py
%{py3_sitescriptdir}/__pycache__/lttng.cpython-*.py[co]
%changelog
* Wed Apr 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lttng-tools.git;a=log;h=master

* Wed Apr 16 2025 Jakub Bogusz <qboosh@pld-linux.org> e304707
- updated to 2.13.15, fixes to build with -DNDEBUG

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 1242c64
- Release 3 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> b05109b
- use patch -P

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 9219a2c
- python 3.13 rebuild

* Tue Aug 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 6fce937
- updated to 2.13.14

* Sun Apr 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 4068819
- updated to 2.13.13

* Wed Apr 03 2024 Jakub Bogusz <qboosh@pld-linux.org> 45869fc
- updated to 2.13.12

* Tue Dec 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 09d90cf
- updated to 2.13.11

* Sat Jul 22 2023 Jakub Bogusz <qboosh@pld-linux.org> a4a46b9
- updated to 2.13.10

* Fri Mar 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 5627af7
- updated to 2.13.9

* Sun May 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 13e0025
- updated to 2.13.7

* Sun Mar 27 2022 Jan Rękorajski <baggins@pld-linux.org> 2903821
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 4ff261d
- rebuild with python 3.10

* Tue Feb 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 79e5d5b
- rediffed python patch, release 2

* Sun Feb 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 2a27f88
- updated to 2.13.4

* Sat Feb 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 425eb72
- updated to 2.13.1

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 92d33b7
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 83dfc83
- release 2 (by relup.sh)

* Fri Feb 26 2021 Jakub Bogusz <qboosh@pld-linux.org> fa7652d
- updated to 2.12.3

* Sun Aug 23 2020 Jakub Bogusz <qboosh@pld-linux.org> a3d9fa2
- updated to 2.12.2

